Subject: Slackware 8.0 NetATalk Broken on Install!

From: "Andre Masella" <[email-masked]>
Date: Sun, 8 Jul 2001 10:04:29 -0400

Slackware 8.0 include netatalk in it's net packages, but the version doesn't work! The client says "Invalid username or password" and this appears in my system log when I try to access a server:
Jul  8 10:01:49 RouteBox afpd[4870]: ASIP session:548(1) from 192.168.0.48:1270(2)
Jul  8 10:01:50 RouteBox afpd[4870]: 0.08KB read, 0.05KB written
Jul  8 10:01:50 RouteBox afpd[2335]: server_child[1] 4870 done

I have tried to compile from sources, but I get the same problem, even though AFPd loads with no problems and none of the UAMs complain. Slackware has shadow passwords, so I --with-shadow, but that does nothing. I don't have pam, but it doesn't seem to want to compile with PAM. I don't understand. Everything else runs smoothly, except afpd. Can anyone help me? Thanks.

-- Andre Masella ([email-masked])